#!/bin/sh

SECOND_PASS=$1
export SECOND_PASS

CDROM_DIR=$2
export CDROM_DIR

TEMP_DIR=$3
export TEMP_DIR

PROD_NAME=$4
export PROD_NAME

if [ "$TEMP_DIR" != "" ]; then
    cd $TEMP_DIR
fi

unameS="`/bin/uname`"
unameM="`/bin/uname -m`"

if [ "$unameS" = "AIX" ]; then
    JAVA_FOLDER=aix4-r1
fi

if [ "$unameS" = "SunOS" ]; then
    JAVA_FOLDER=solaris2
fi

if [ "$unameS" = "HP-UX" ]; then
    JAVA_FOLDER=hpux11
fi

if [ "$unameS" = "Linux" ]; then

    JAVA_FOLDER=linux-ix86

    if [ "$unameM" = "s390" ]; then
        JAVA_FOLDER=linux-s390
    fi
    if [ "$unameM" = "ppc64" ]; then
        JAVA_FOLDER=linux-ppc
    fi

fi

# do not set temp.dir, it may set it to null first time otherwise
./java/$JAVA_FOLDER/jre/bin/java -Dprod.name=$PROD_NAME -Dsecond.pass=$SECOND_PASS -Dcdrom.dir=$CDROM_DIR -cp "./scripts/install.jar:scripts:./lib/base-common.jar:./lib/log.jar:./lib/jflt.jar:./lib/ffdc.jar:./lib/jlog.jar:./lib/jffdc.jar"  com.ibm.tivoli.transperf.install.launcher.Launcher
